# Buy Label

Purchase a shipping label based on the provided rate ID.</br>
**Rate limit:** 600 requests per minute.

Endpoint: GET /api/rates/buy
Version: v1
Security: ApiTokenAuth

## Query parameters:

  - `rate_id` (string, required)
    Unique identifier of the shipping rate.

## Response 200 fields (application/json):

  - `packing_slip_number` (integer)
    Example: 109169

  - `master_tracking_code` (string)

  - `prefix_tracking_code` (string)

  - `tracking_code` (string)
    Example: 1ZY50G652000880500

  - `label_size` (string)
    Example: 4x6

  - `label_type` (string)
    Example: label

  - `length` (number)
    Example: 12

  - `width` (number)
    Example: 12

  - `height` (number)
    Example: 7

  - `weight` (number)
    Example: 14.99

  - `insurance` (number)
    Example: 0

  - `insurance_fee` (number)
    Example: 0

  - `signature` (string)
    Example: NO_SIGNATURE

  - `custom_print1` (string)

  - `custom_print2` (string)

  - `delivery_days` (string)
    Example: 1

  - `service_fee` (number)
    Example: 0.05

  - `rate` (number)
    Example: 10.87

  - `rebate` (number)
    Example: 0

  - `from_name` (string)
    Sender's name
    Example: sender name

  - `from_company` (string)
    Sender's company
    Example: ShipSaving, LLC

  - `from_phone` (string)
    Sender's phone

  - `from_street` (string)
    Sender's address line 1
    Example: 769 Broadview Avenue

  - `from_street2` (string)
    Sender's address line 2

  - `from_city` (string)
    Sender's city
    Example: Toronto

  - `from_state` (string)
    Sender's state or province
    Example: ON

  - `from_zip` (string)
    Sender's postal code
    Example: M4K 2P7

  - `from_country` (string)
    Sender's country code
    Example: CA

  - `to_name` (string)
    Recipient's name
    Example: ShipSaving

  - `to_company` (string)
    Recipient's company
    Example: UPS Plus

  - `to_phone` (string)
    Recipient's phone

  - `to_street` (string)
    Recipient's address line 1
    Example: 961 Broadview Avenue

  - `to_street2` (string)
    Recipient's address line 2

  - `to_city` (string)
    Recipient's city
    Example: Toronto

  - `to_state` (string)
    Recipient's state or province
    Example: ON

  - `to_zip` (string)
    Recipient's postal code
    Example: M4K 2P7

  - `to_country` (string)
    Recipient's country code
    Example: CA

  - `label_status` (string)
    Example: completed

  - `shipment_id` (integer)
    Example: 1245627

  - `warehouse_name` (string)
    Example: WH

  - `store_name` (string)

  - `order_number` (string)

  - `provider` (string)
    Example: shipsaving

  - `carrier` (string)
    Example: UPS

  - `service` (string)
    Example: UPS_GROUND

  - `package` (string)
    Example: PACKAGE

  - `published_rate` (number)
    Example: 34.53

  - `label_url` (array)
    Example: ["https://...../labels/2025-06-30/0231b055b64044e6b7e027874e915361_0.pdf"]

  - `commercial_invoice_url` (string)
    Example: null

